function newFunction( filename, documentation, author, ...
lab, email, company, advisor, website )
% NEWFUNCTION Writes a new function with default documentation
%
% Arguments       Description
% ---------       -----------
% filename        Name of the m-file
% documentation   Documentation
% author          Author of the m-file
% lab             Laboratory/Office/Workplace
% email           Electronic mail
% company         University/Company
% advisor         Advisor/Chief/Supervisor/Boss
% website         Website

% Author: Ivan E. Cao-Berg (icaoberg@cmu.edu)
% Created: July 10, 2007
% Last Update: March 4, 2008
%
% Copyright (C) 2008  Murphy Lab
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

fileID = fopen( [filename '.m' ], 'w' );

fprintf( fileID, '%s\n', [ 'function varargout = ' filename ...
    '( varargin )' ] );
fprintf( fileID, '%s\n\n', [ '% ' upper(filename) ...
    ' ' documentation ] );
fprintf( fileID, '%s\n', [ '% Author: ' author '(' email ')' ] );
fprintf( fileID, '%s\n', [ '% Created: ' date ] );
fprintf( fileID, '%s\n', '%' );
fprintf( fileID, '%s\n', [ '% Copyright (C) 2008 ' lab ] );
fprintf( fileID, '%s\n', [ '% ' company ] );
fprintf( fileID, '%s\n', '%' );
fprintf( fileID, '%s\n', '% This program is free software; you can redistribute it and/or modify' );
fprintf( fileID, '%s\n', '% it under the terms of the GNU General Public License as published' );
fprintf( fileID, '%s\n', '% by the Free Software Foundation; either version 2 of the License,' );
fprintf( fileID, '%s\n', '% or (at your option) any later version.' );
fprintf( fileID, '%s\n', '%' );
fprintf( fileID, '%s\n', '% This program is distributed in the hope that it will be useful, but' );
fprintf( fileID, '%s\n', '% WITHOUT ANY WARRANTY; without even the implied warranty of' );
fprintf( fileID, '%s\n', '% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU' );
fprintf( fileID, '%s\n', '% General Public License for more details.' );
fprintf( fileID, '%s\n', '%' );
fprintf( fileID, '%s\n', '% You should have received a copy of the GNU General Public License' );
fprintf( fileID, '%s\n', '% along with this program; if not, write to the Free Software' );
fprintf( fileID, '%s\n', '% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA' );
fprintf( fileID, '%s\n', '% 02110-1301, USA.' );
fprintf( fileID, '%s\n', '%' );
fprintf( fileID, '%s\n', [ '% For additional information visit ' website ' or' ] );
fprintf( fileID, '%s\n', [ '% send email to ' advisor ] );
fprintf( fileID, '\n\n\n%s\n\n', [ 'end%' filename ] );

fprintf( fileID, '%s\n', '%--------------------------------------------------------------------------' );
fprintf( fileID, '%s\n', '% HELPER FUNCTIONS' );
fprintf( fileID, '%s\n', 'function checkInputArguments( varargin )' );
fprintf( fileID, '%s\n', 'end%checkInputArguments' );

end%newFunction
